bayer-types.h File Reference

bayer type definitions common to camlibs and libgphoto2 More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | BayerTile { BAYER_TILE_RGGB = 0 , BAYER_TILE_GRBG = 1 , BAYER_TILE_BGGR = 2 , BAYER_TILE_GBRG = 3 , BAYER_TILE_RGGB_INTERLACED = 4 , BAYER_TILE_GRBG_INTERLACED = 5 , BAYER_TILE_BGGR_INTERLACED = 6 , BAYER_TILE_GBRG_INTERLACED = 7 }
| how the bayer CCD array is laid out More...

## Detailed Description

bayer type definitions common to camlibs and libgphoto2

Author
  Copyright 2001 Lutz Mueller lutz@.nosp@m.user.nosp@m.s.sf..nosp@m.net

Note
  This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
  You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

## Enumeration Type Documentation

## BayerTile

enum BayerTile

how the bayer CCD array is laid out

This enumeration defines how the CCD bayer array is laid out.

Enumerator
BAYER_TILE_RGGB | raster is RG,GN
BAYER_TILE_GRBG | raster is GR,BG
BAYER_TILE_BGGR | raster is BG,GR
BAYER_TILE_GBRG | raster is RG,GB
BAYER_TILE_RGGB_INTERLACED | scanline order: R1,G1,R2,G2,...,G1,B1,G2,B2,...
BAYER_TILE_GRBG_INTERLACED | scanline order: G1,R1,R2,G2,...,B1,G1,B2,G2,...
BAYER_TILE_BGGR_INTERLACED | scanline order: B1,G1,R2,G2,...,G1,R1,G2,R2,...
BAYER_TILE_GBRG_INTERLACED | scanline order: G1,B1,G2,B2,...,R1,G1,R2,G2,...